	; --------------------------------------------------------------
	; Specifies processor, memory model & case sensitive option.
	; The parameter "Processor" should be in the form ".386" etc..
	; EXAMPLE : AppModel .586
	; --------------------------------------------------------------
	  AppModel MACRO Processor
		Processor			  ;; Processor type
		.model flat, stdcall  ;; 32 bit memory model
		option casemap :none  ;; case sensitive
	  ENDM

	; --------------------------
	; ޥ
	; --------------------------

	  USELIB MACRO libname
		include 	libname.inc
		includelib	libname.lib
	  ENDM

	; ----------------------------
	; memory to memory assignment
	; ----------------------------
	  M2M MACRO M1, M2
		push M2
		pop  M1
	  ENDM

	  CTEXT macro Text:VARARG
		local szText
		.data
		  szText byte Text, 0
		.code
		exitm <offset szText>
	  endm

	  LOWORD  MACRO   bigword ;; Retrieves the low word from double word argument
		mov eax,bigword
		and eax,0FFFFh	;; Set to low word
	  ENDM

	  HIWORD  MACRO   bigword ;; Retrieves the high word from double word argument
		mov eax,bigword
		shr eax,16		;; Shift 16 for high word to set to high word
	  ENDM
	  
	  RETURN macro value
	  	mov eax, value
	  	ret
	  endm	
